アンドロイド - 「解析データアンドロイド- 21のために失敗しました」

? warbi @ | Original: StackOverFlow

インストール後、 Eclipseで以下のエラーが発生しましたアンドロイド5.0 (SDK 21 )

"アンドロイド5.0のためのデータのロードは、 「問題が発生しました。

アンドロイド-21のためのデータの解析に失敗しました   サポートされていないメジャー。マイナーバージョン51.0



Top 5 Respuesta

1warbi @

JDK 1.8をインストールして試してみて、 Eclipseを再ロードします。

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html



2Amit P @

当初、私は同じ問題に直面していた。私はJDK1.7にアップグレード。まだ存続し発行します。これは、いくつかの時間の日食は1.6としてデフォルトのSDKをtakeesという事実によるものである。これを解決するには、次の

Change the environmental path to point 1.7/1.8 Open Eclipse and goto windows tab-> preference Goto Java->complier and set Compiler compliance level to 1.7 and press apply. Then Goto Installed JRE Section. check if the installed jdk is listed and selected in the list. If not listed give the manual path using search. then select the jdk version and remove other versions in the list. in installed JRE go to execution environment and select the intended java se version and check it in compatible section Presss ok and restart Eclipse.

これは問題を解決する必要があります。